Pytanie:
BlasNotFoundError podczas instalowania Scipy przez pip
ohblahitsme
2012-08-26 23:56:08 UTC
view on stackexchange narkive permalink

Próbuję zainstalować Scipy w wirtualnym środowisku env przez pip i otrzymuję błąd, który mówi, że numpy.distutils.system_info.BlasNotFoundError Nigdy wcześniej tego nie spotkałem i zainstalowałem numpy z pip, więc powinien był zainstalować wszystko poprawnie. Zajrzałem na stronę Blas i znalazłem tylko wersję dla FORTRANA i nie wiem, czy tego właśnie potrzebuję. Każda pomoc byłaby mile widziana!

Tak, BLAS jest napisany w FORTRANIE. Potrzebujesz wspólnej biblioteki.
Ściągnąłem tar z plikami FORTRAn. Jak zainstalować to jako bibliotekę współdzieloną? A może szukam czegoś innego?
Z jakiej dystrybucji korzystasz? Prawdopodobnie jest w repozytoriach do ustalenia.
Jeden odpowiedź:
#1
+11
ohblahitsme
2012-08-27 01:42:57 UTC
view on stackexchange narkive permalink

Jeśli używasz Raspbian, zainstaluj pakiet libblas-dev , chociaż apt. Po tym powinno działać dobrze.

Dodatkowo musiałem zainstalować `gfortran`,` libopenblas-base` i `libatlas-base-dev`, aby działało.


To pytanie i odpowiedź zostało automatycznie przetłumaczone z języka angielskiego.Oryginalna treść jest dostępna na stackexchange, za co dziękujemy za licencję cc by-sa 3.0, w ramach której jest rozpowszechniana.
Loading...